Run an application with the given arguments (which will be JSON serialized).
Parameter
Type
Default
Description
application
str
-
-
arguments
dict[str, Any]
-
-
path
str
''
-
timeout
int | float | NoneType
None
Client-side HTTP timeout in seconds. Controls how long the HTTP client waits for a response. Defaults to the client’s default_timeout.
start_timeout
int | float | NoneType
None
Server-side request timeout in seconds. Limits total time spent waiting before processing starts. Does not apply once the application begins processing.
Stream the output of an application with the given arguments (which will be JSON serialized). This is only supported at a few select applications at the moment, so be sure to first consult with the documentation of individual applications
to see if this is supported.The function will iterate over each event that is streamed from the server.
Submit an application with the given arguments (which will be JSON serialized).
Parameter
Type
Default
Description
application
str
-
-
arguments
dict[str, Any]
-
-
path
str
''
-
hint
str | None
None
-
webhook_url
str | None
None
-
priority
Optional[Literal[normal, low]]
None
-
headers
dict[str, str]
\{\}
-
start_timeout
int | float | NoneType
None
Server-side request timeout in seconds. Limits total time spent waiting before processing starts (includes queue wait, retries, and routing). Does not apply once the application begins processing.
Subscribe to an application and wait for the result.
Parameter
Type
Default
Description
application
str
-
-
arguments
dict[str, Any]
-
-
path
str
''
-
hint
str | None
None
-
with_logs
bool
False
-
on_enqueue
Optional[Callable[str, NoneType]]
None
-
on_queue_update
Optional[Callable[Status, NoneType]]
None
-
priority
Optional[Literal[normal, low]]
None
-
headers
dict[str, str]
\{\}
-
start_timeout
int | float | NoneType
None
Server-side request timeout in seconds. Limits total time spent waiting before processing starts (includes queue wait, retries, and routing). Does not apply once the application begins processing.
client_timeout
int | float | NoneType
None
Client-side total timeout in seconds. Limits the total time spent waiting for the entire request to complete (including queue wait and processing). If not set, waits indefinitely.
Upload the given data blob to the CDN and return the access URL. The content type should be specified as the second argument. Use upload_file or upload_image for convenience.
Run an application with the given arguments (which will be JSON serialized). The path parameter can be used to specify a subpath when applicable. This method will return the result of the inference call directly.
Parameter
Type
Default
Description
application
str
-
-
arguments
dict[str, Any]
-
-
path
str
''
-
timeout
int | float | NoneType
None
Client-side HTTP timeout in seconds. Controls how long the HTTP client waits for a response. Defaults to the client’s default_timeout.
start_timeout
int | float | NoneType
None
Server-side request timeout in seconds. Limits total time spent waiting before processing starts. Does not apply once the application begins processing.
Stream the output of an application with the given arguments (which will be JSON serialized). This is only supported at a few select applications at the moment, so be sure to first consult with the documentation of individual applications
to see if this is supported.The function will iterate over each event that is streamed from the server.
Submit an application with the given arguments (which will be JSON serialized). The path parameter can be used to specify a subpath when applicable. This method will return a handle to the request that can be used to check the status
and retrieve the result of the inference call when it is done.
Parameter
Type
Default
Description
application
str
-
-
arguments
dict[str, Any]
-
-
path
str
''
-
hint
str | None
None
-
webhook_url
str | None
None
-
priority
Optional[Literal[normal, low]]
None
-
headers
dict[str, str]
\{\}
-
start_timeout
int | float | NoneType
None
Server-side request timeout in seconds. Limits total time spent waiting before processing starts (includes queue wait, retries, and routing). Does not apply once the application begins processing.
Subscribe to an application and wait for the result.
Parameter
Type
Default
Description
application
str
-
-
arguments
dict[str, Any]
-
-
path
str
''
-
hint
str | None
None
-
with_logs
bool
False
-
on_enqueue
Optional[Callable[str, NoneType]]
None
-
on_queue_update
Optional[Callable[Status, NoneType]]
None
-
priority
Optional[Literal[normal, low]]
None
-
headers
dict[str, str]
\{\}
-
start_timeout
int | float | NoneType
None
Server-side request timeout in seconds. Limits total time spent waiting before processing starts (includes queue wait, retries, and routing). Does not apply once the application begins processing.
client_timeout
int | float | NoneType
None
Client-side total timeout in seconds. Limits the total time spent waiting for the entire request to complete (including queue wait and processing). If not set, waits indefinitely.
Upload the given data blob to the CDN and return the access URL. The content type should be specified as the second argument. Use upload_file or upload_image for convenience.
Indicates the request is currently being processed. If the status operation called with the with_logs parameter set to True, the logs field will be a list of
log objects.
Indicates the request has been completed and the result can be gathered. The logs field will contain the logs if the status operation was called with the with_logs parameter set to True. Metrics
might contain the inference time, and other internal metadata (number of tokens
processed, etc.).
Continuously poll for the status of the request and yield it at each interval till the request is completed. If with_logs is True, logs will be included in the response.
Returns the status of the request (which can be one of the following: Queued, InProgress, Completed). If with_logs is True, logs will be included
for InProgress and Completed statuses.
Continuously poll for the status of the request and yield it at each interval till the request is completed. If with_logs is True, logs will be included in the response.
Returns the status of the request (which can be one of the following: Queued, InProgress, Completed). If with_logs is True, logs will be included
for InProgress and Completed statuses.
Run an application with the given arguments (which will be JSON serialized).
Parameter
Type
Default
Description
application
str
-
-
arguments
dict[str, Any]
-
-
path
str
''
-
timeout
int | float | NoneType
None
Client-side HTTP timeout in seconds. Controls how long the HTTP client waits for a response. Defaults to the client’s default_timeout.
start_timeout
int | float | NoneType
None
Server-side request timeout in seconds. Limits total time spent waiting before processing starts. Does not apply once the application begins processing.
Subscribe to an application and wait for the result.
Parameter
Type
Default
Description
application
str
-
-
arguments
dict[str, Any]
-
-
path
str
''
-
hint
str | None
None
-
with_logs
bool
False
-
on_enqueue
Optional[Callable[str, NoneType]]
None
-
on_queue_update
Optional[Callable[Status, NoneType]]
None
-
priority
Optional[Literal[normal, low]]
None
-
headers
dict[str, str]
\{\}
-
start_timeout
int | float | NoneType
None
Server-side request timeout in seconds. Limits total time spent waiting before processing starts (includes queue wait, retries, and routing). Does not apply once the application begins processing.
client_timeout
int | float | NoneType
None
Client-side total timeout in seconds. Limits the total time spent waiting for the entire request to complete (including queue wait and processing). If not set, waits indefinitely.
Subscribe to an application and wait for the result.
Parameter
Type
Default
Description
application
str
-
-
arguments
dict[str, Any]
-
-
path
str
''
-
hint
str | None
None
-
with_logs
bool
False
-
on_enqueue
Optional[Callable[str, NoneType]]
None
-
on_queue_update
Optional[Callable[Status, NoneType]]
None
-
priority
Optional[Literal[normal, low]]
None
-
headers
dict[str, str]
\{\}
-
start_timeout
int | float | NoneType
None
Server-side request timeout in seconds. Limits total time spent waiting before processing starts (includes queue wait, retries, and routing). Does not apply once the application begins processing.
client_timeout
int | float | NoneType
None
Client-side total timeout in seconds. Limits the total time spent waiting for the entire request to complete (including queue wait and processing). If not set, waits indefinitely.
Submit an application with the given arguments (which will be JSON serialized).
Parameter
Type
Default
Description
application
str
-
-
arguments
dict[str, Any]
-
-
path
str
''
-
hint
str | None
None
-
webhook_url
str | None
None
-
priority
Optional[Literal[normal, low]]
None
-
headers
dict[str, str]
\{\}
-
start_timeout
int | float | NoneType
None
Server-side request timeout in seconds. Limits total time spent waiting before processing starts (includes queue wait, retries, and routing). Does not apply once the application begins processing.
Stream the output of an application with the given arguments (which will be JSON serialized). This is only supported at a few select applications at the moment, so be sure to first consult with the documentation of individual applications
to see if this is supported.The function will iterate over each event that is streamed from the server.
Run an application with the given arguments (which will be JSON serialized). The path parameter can be used to specify a subpath when applicable. This method will return the result of the inference call directly.
Parameter
Type
Default
Description
application
str
-
-
arguments
dict[str, Any]
-
-
path
str
''
-
timeout
int | float | NoneType
None
Client-side HTTP timeout in seconds. Controls how long the HTTP client waits for a response. Defaults to the client’s default_timeout.
start_timeout
int | float | NoneType
None
Server-side request timeout in seconds. Limits total time spent waiting before processing starts. Does not apply once the application begins processing.
Submit an application with the given arguments (which will be JSON serialized). The path parameter can be used to specify a subpath when applicable. This method will return a handle to the request that can be used to check the status
and retrieve the result of the inference call when it is done.
Parameter
Type
Default
Description
application
str
-
-
arguments
dict[str, Any]
-
-
path
str
''
-
hint
str | None
None
-
webhook_url
str | None
None
-
priority
Optional[Literal[normal, low]]
None
-
headers
dict[str, str]
\{\}
-
start_timeout
int | float | NoneType
None
Server-side request timeout in seconds. Limits total time spent waiting before processing starts (includes queue wait, retries, and routing). Does not apply once the application begins processing.
Stream the output of an application with the given arguments (which will be JSON serialized). This is only supported at a few select applications at the moment, so be sure to first consult with the documentation of individual applications
to see if this is supported.The function will iterate over each event that is streamed from the server.